## powerline 1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build2
PAPER         =
BUILDDIR      = _build

# Internal variables
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

GH_PAGES_SOURCES = source Makefile
GH_SOURCE_BRANCH = develop

.PHONY: clean html gh-pages

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

gh-pages:
	git checkout gh-pages
	find .. -maxdepth 1 ! -name '.git*' -and ! -name 'docs' -exec rm -rf {} \;
	git checkout ${GH_SOURCE_BRANCH} ${GH_PAGES_SOURCES}
	git reset HEAD
	make html
	mv -fv _build/html/* ..
	rm -rf _build ${GH_PAGES_SOURCES}
	git add ..
	git commit -m "Create gh-pages for '`git log develop -1 --pretty=oneline --abbrev-commit`'"
	git push origin gh-pages
	git checkout ${GH_SOURCE_BRANCH}

## powerline 0~20140216

=== debian/changelog ===
powerline (0~20140216-1) unstable; urgency=low

  * Initial release. (Closes: #739666)

 -- Jerome Charaoui <jerome@riseup.net>  Thu, 20 Feb 2014 23:06:16 -0500

=== debian/control ===
Source: powerline
Section: python
Priority: optional
Maintainer: Jerome Charaoui <jerome@riseup.net>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx, python-psutil, git-core, bzr, mercurial, help2man
Standards-Version: 3.9.5
Homepage: https://github.com/Lokaltog/powerline
X-Python-Version: >= 2.7

Package: powerline
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, fonts-powerline, python-powerline
Suggests: python-powerline-doc
Enhances: bash, ipython, tmux, vim-nox, zsh
Description: ultimate statusline/prompt utility
 Powerline is a statusline plugin for vim, and provides statuslines and
 prompts for several other applications, including zsh, bash, tmux,
 IPython, Awesome and Qtile.
 .
 This package contains the Powerline scripts.

Package: fonts-powerline
Architecture: all
Multi-arch: foreign
Depends: ${misc:Depends}, fontconfig
Description: ultimate statusline/prompt utility (font)
 Powerline is a statusline plugin for vim, and provides statuslines and
 prompts for several other applications, including zsh, bash, tmux,
 IPython, Awesome and Qtile.
 .
 This package contains the Powerline font.

Package: python-powerline
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-psutil
Suggests: python-powerline-doc
Description: ultimate statusline/prompt utility (library)
 Powerline is a statusline plugin for vim, and provides statuslines and
 prompts for several other applications, including zsh, bash, tmux,
 IPython, Awesome and Qtile.
 .
 This package contains the Powerline python2 library.

Package: python-powerline-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: ultimate statusline/prompt utility (documentation)
 Powerline is a statusline plugin for vim, and provides statuslines and
 prompts for several other applications, including zsh, bash, tmux,
 IPython, Awesome and Qtile.
 .
 This package contains the documentation for Powerline.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=powerline

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

# Build sphinx HTML documentation
override_dh_installdocs:
	PYTHONPATH=. sphinx-build -b html -N docs/source docs/build/html
	dh_installdocs -ppython-powerline-doc docs/build/html
	dh_installdocs -A

# Build manpages
override_dh_installman:
	help2man \
		--name "Powerline prompt and statusline script." \
		--section 1 \
		--source=Debian \
		--no-info \
		--help-option="-h" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--output powerline.1 \
		./scripts/powerline
	PYTHONPATH=. help2man \
		--name "Powerline configuration checker." \
		--section 1 \
		--source=Debian \
		--no-info \
		--help-option="-h" \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		--output powerline-lint.1 \
		./scripts/powerline-lint
	dh_installman

# Remove scripts from library package
override_dh_install:
	dh_install
	rm -rf debian/python-powerline/usr/bin

# Remove files generated during build
override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete
	rm -rf build docs/build .pybuild Powerline.egg-info

=== debian/watch ===
# The software in this program is fetched from git, as Powerline doesn't yet have releases.

## powerline 1.2

=== debian/changelog ===
powerline (1.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add missing dpkg-dev (>= 1.16.1~) Build-Dependency
  * Add minimum required version to python-sphinx
  * Remove Breaks/Replaces (used to help transition from older unstable
    package)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 05 Nov 2014 14:37:39 +0100

powerline (1.2-2) unstable; urgency=medium

  * Fix incomplete tmux configuration by adjusting hardcoded bindings
    directory (Closes: #766637)

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 25 Oct 2014 10:44:31 -0400

powerline (1.2-1) unstable; urgency=medium

  * Import Upstream version 1.2
  * Package is now architecture specific due to C component
  * Disable build tests for this release
  * Watch file modified to track upstream releases

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 18 Oct 2014 15:26:20 -0400

powerline (0~20140216-2) unstable; urgency=low

  * Adjust package sections and descriptions (Closes: #753663, #753665)
  * Import upstream commit, fixes powerline with psutil 2.x (Closes: #758162)
  * Move bindings and config_files in powerline package (Closes: #758551)
  * Add README.Debian with installation and configuration instructions
      (Closes: #761474)

 -- Jerome Charaoui <jerome@riseup.net>  Thu, 18 Sep 2014 02:11:12 -0400

=== debian/control ===
Source: powerline
Section: shells
Priority: optional
Maintainer: Jerome Charaoui <jerome@riseup.net>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx (>= 1.0.7+dfsg), python-psutil, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://github.com/Lokaltog/powerline
X-Python-Version: >= 2.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/powerline.git
Vcs-Git: git://anonscm.debian.org/collab-maint/powerline.git

Package: powerline
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-powerline
Recommends: fonts-powerline
Suggests: python-powerline-doc, vim-addon-manager
Enhances: bash, ipython, tmux, vim-nox, zsh, awesome
Description: prompt and statusline utility
 Powerline is a statusline plugin for vim, and provides statuslines and
 prompts for several other applications, including zsh, bash, tmux,
 IPython, Awesome and Qtile.
 .
 This package contains the Powerline executables.

Package: fonts-powerline
Section: fonts
Architecture: all
Multi-arch: foreign
Depends: ${misc:Depends}, fontconfig
Description: powerline symbols font
 This package contains the font which provides symbols used by Powerline, a
 prompt and statusline utility. It also contains the fontconfig settings
 that makes these symbols available as part of other installed fonts.

Package: python-powerline
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-psutil
Suggests: python-powerline-doc
Description: powerline python2 library
 This package contains the python2 library of Powerline, a prompt and
 statusline utility. It provides the main Powerline class, entrance point
 for all Powerline uses.

Package: python-powerline-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: powerline documentation
 This package contains the HTML documentation for Powerline, a prompt and
 statusline utility.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=powerline

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

# Use the builtin test script
override_dh_auto_test:
	# Tests systematically fail for unknown reasons, hence are disabled
	# temporarily while the situation is investigated.
	# See https://github.com/Lokaltog/powerline/issues/1104
	#dh_auto_test -- --system=custom --test-args='env PYTHON={interpreter} PYTHONPATH={build_dir} {dir}/tests/test.sh'

# Build sphinx HTML documentation
override_dh_installdocs:
	PYTHONPATH=. sphinx-build -b html -N docs/source docs/build/html
	dh_installdocs -ppython-powerline-doc docs/build/html
	dh_installdocs -A

override_dh_installman:
	cp debian/powerline.1 debian/powerline-render.1
	dh_installman

# Remove scripts and bindings from library package
override_dh_install:
	dh_install -Xscripts/powerline-release.py
	rm -rf debian/python-powerline/usr/bin
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/awesome
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/bash
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/fish
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/i3
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/qtile
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/shell
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/tcsh
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/tmux/*.conf
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/vim/plugin
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/vim/autoload
	rm -f debian/python-powerline/usr/lib/*/dist-packages/powerline/bindings/zsh/powerline.zsh
	rm -rf debian/python-powerline/usr/lib/*/dist-packages/powerline/config_files

# Remove files generated during build
override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete
	rm -rf build docs/build .pybuild Powerline.egg-info scripts/powerline tests/shell debian/powerline-render.1

## powerline 2.2

=== debian/changelog ===
powerline (2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2
  * Distribute NEWS file only in powerline binary package (Closes: #792359)

 -- Jerome Charaoui <jerome@riseup.net>  Tue, 04 Aug 2015 22:04:48 -0400

powerline (2.1.4-1) unstable; urgency=medium

  * Import Upstream version 2.1. (Closes: #778250)

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 23 May 2015 08:31:28 -0400

powerline (2.1-1) unstable; urgency=medium

  * Import Upstream version 2.1 (Closes: #776725)

 -- Jerome Charaoui <jerome@riseup.net>  Sun, 08 Mar 2015 14:48:15 -0400

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	dh_installdocs -A
 
 override_dh_installman:
-	cp debian/powerline.1 debian/powerline-render.1
-	dh_installman
+	PYTHONPATH=. sphinx-build -b man -N docs/source docs/build/man
+	dh_installman docs/build/man/*
 
 # Remove scripts and bindings from library package
 override_dh_install:
@@ -49,4 +49,4 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -name "*.pyc" -delete
-	rm -rf build docs/build .pybuild Powerline.egg-info scripts/powerline tests/shell debian/powerline-render.1
+	rm -rf build docs/build .pybuild Powerline.egg-info scripts/powerline tests/shell

## powerline 2.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

GH_PAGES_SOURCES = source Makefile
GH_SOURCE_BRANCH = develop

.PHONY: html clean html latexpdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"

clean:
	-rm -rf $(BUILDDIR)/*

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

=== debian/changelog ===
powerline (2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.3 (Closes: #802905)

 -- Jerome Charaoui <jerome@riseup.net>  Mon, 26 Oct 2015 16:03:47 -0400

powerline (2.2-2) unstable; urgency=medium

  * Build python3-powerline binary package (Closes: #798930)
  * Compile /usr/bin/powerline with extra hardening flags
  * Make sphinx-generated manpages reproducible

 -- Jerome Charaoui <jerome@riseup.net>  Sun, 18 Oct 2015 18:18:19 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: shells
 Priority: optional
 Maintainer: Jerome Charaoui <jerome@riseup.net>
-Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx (>= 1.0.7+dfsg), python-psutil, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx, python-psutil, python3-all, python3-setuptools, python3-sphinx, python3-psutil
 Standards-Version: 3.9.6
 Homepage: https://github.com/Lokaltog/powerline
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/powerline.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/powerline.git
 
@@ -15,6 +16,8 @@
 Recommends: fonts-powerline
 Suggests: python-powerline-doc, vim-addon-manager
 Enhances: bash, ipython, tmux, vim-nox, zsh, awesome
+Breaks: python-powerline (<< 0~20140216-2)
+Replaces: python-powerline (<< 0~20140216-2)
 Description: prompt and statusline utility
  Powerline is a statusline plugin for vim, and provides statuslines and
  prompts for several other applications, including zsh, bash, tmux,
@@ -37,8 +40,20 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-psutil
 Suggests: python-powerline-doc
+Breaks: powerline (<< 0~20140216-2)
 Description: powerline python2 library
  This package contains the python2 library of Powerline, a prompt and
+ statusline utility. It provides the main Powerline class, entrance point
+ for all Powerline uses.
+
+Package: python3-powerline
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-psutil
+Suggests: python-powerline-doc
+Breaks: powerline (<< 0~20140216-2)
+Description: powerline python3 library
+ This package contains the python3 library of Powerline, a prompt and
  statusline utility. It provides the main Powerline class, entrance point
  for all Powerline uses.
 
@@ -48,4 +63,5 @@
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: powerline documentation
  This package contains the HTML documentation for Powerline, a prompt and
- statusline utility.
+ statusline utility. It incorporates instructions on how to customize
+ Powerline for various applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=powerline
export PYBUILD_AFTER_INSTALL_python3=sed -i -e 's,/usr/bin/env python,/usr/bin/python3,' {destdir}{install_dir}/powerline/bindings/bar/powerline-bar.py

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -S Date)" +%s)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# Use the builtin test script
override_dh_auto_test:
	# Tests systematically fail for unknown reasons, hence are disabled
	# temporarily while the situation is investigated.
	# See https://github.com/Lokaltog/powerline/issues/1104
	#dh_auto_test -- --system=custom --test-args='env PYTHON={interpreter} PYTHONPATH={build_dir} {dir}/tests/test.sh'

# Build sphinx HTML documentation
override_dh_installdocs:
	PYTHONPATH=. sphinx-build -b html -N docs/source docs/build/html
	dh_installdocs -ppython-powerline-doc docs/build/html
	dh_installdocs -A

override_dh_installman:
	PYTHONPATH=. sphinx-build -D today="$(BUILD_DATE)" -b man -N docs/source docs/build/man
	ln -s powerline.1 docs/build/man/powerline-render.1
	dh_installman docs/build/man/*

# Remove scripts and bindings from library packages
override_dh_install:
	dh_install -Xscripts/powerline-release.py
	rm -rf debian/python*-powerline/usr/bin
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/awesome
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/bash
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/fish
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/i3
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/qtile
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/shell
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/tcsh
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/tmux/*.conf
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/vim/plugin
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/vim/autoload
	rm -f debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/zsh/powerline.zsh
	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/config_files

# Remove files generated during build
override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete
	rm -rf build docs/build .pybuild Powerline.egg-info scripts/powerline tests/shell

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/powerline-$1.tar.gz/"
  https://github.com/Lokaltog/powerline/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## powerline 2.4

=== debian/changelog ===
powerline (2.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Jerome Charaoui <jerome@riseup.net>  Wed, 27 Apr 2016 16:51:47 -0400

powerline (2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.4
  * Move fontconfig file to /etc/fonts/conf.avail (Closes: #814424)
  * Bump Standards-Version to 3.9.8
  * Switch Vcs-Git to https URL
  * Provide new bindings in the correct binary

 -- Jerome Charaoui <jerome@riseup.net>  Wed, 27 Apr 2016 10:39:05 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Jerome Charaoui <jerome@riseup.net>
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx, python-psutil, python3-all, python3-setuptools, python3-sphinx, python3-psutil
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/Lokaltog/powerline
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/powerline.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/powerline.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/powerline.git
 
 Package: powerline
 Architecture: any

## powerline 2.5

=== debian/changelog ===
powerline (2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changes dependency for powerline to python-powerline by default, as this is
    used by the installed binaries and is required.
  * Move python3-powerline to Recommends so as to allow for vim users to have
    this also installed by default, without requiring its installation on
    systems that do not want a Python 3 installation. (Closes: #839599)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 24 Jan 2017 14:47:26 +0000

powerline (2.5-1) unstable; urgency=medium

  * Imported Upstream version 2.5
  * Add mention in README to use python3 where necessary
  * Depend on python3 library by default

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 10 Sep 2016 13:49:36 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: powerline
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-powerline
-Recommends: fonts-powerline
+Recommends: fonts-powerline, python3-powerline
 Suggests: python-powerline-doc, vim-addon-manager
 Enhances: bash, ipython, tmux, vim-nox, zsh, awesome
 Breaks: python-powerline (<< 0~20140216-2)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=powerline
-export PYBUILD_AFTER_INSTALL_python3=sed -i -e 's,/usr/bin/env python,/usr/bin/python3,' {destdir}{install_dir}/powerline/bindings/bar/powerline-bar.py
 
 include /usr/share/dpkg/default.mk
 
@@ -39,9 +38,12 @@
 	rm -rf debian/python*-powerline/usr/bin
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/awesome
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/bash
+	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/bar
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/fish
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/i3
+	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/lemonbar
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/qtile
+	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/rc
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/shell
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/tcsh
 	rm -rf debian/python*-powerline/usr/lib/*/dist-packages/powerline/bindings/tmux/*.conf
@@ -54,4 +56,4 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	find . -name "*.pyc" -delete
-	rm -rf build docs/build .pybuild Powerline.egg-info scripts/powerline tests/shell
+	rm -rf build docs/build .pybuild Powerline.egg-info powerline_status.egg-info scripts/powerline tests/shell

## powerline 2.6

=== debian/changelog ===
powerline (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
  * Ship upstream changelog from GitHub release logs
  * Bump Standards-Version to 4.0.1

 -- Jerome Charaoui <jerome@riseup.net>  Wed, 23 Aug 2017 14:53:23 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jerome Charaoui <jerome@riseup.net>
 Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.7), python-setuptools, python-sphinx, python-psutil, python3-all, python3-setuptools, python3-sphinx, python3-psutil
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/Lokaltog/powerline
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,15 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
-SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -S Date)" +%s)
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+update-changelog:
+	curl -s "https://api.github.com/repos/powerline/powerline/releases" | jq -r '.[] | .tag_name, .body' - > debian/changelog.upstream
 
 # Use the builtin test script
 override_dh_auto_test:
@@ -26,6 +29,10 @@
 	PYTHONPATH=. sphinx-build -b html -N docs/source docs/build/html
 	dh_installdocs -ppython-powerline-doc docs/build/html
 	dh_installdocs -A
+
+override_dh_installchangelogs:
+	dh_installchangelogs -ppowerline debian/changelog.upstream
+	dh_installchangelogs -A
 
 override_dh_installman:
 	PYTHONPATH=. sphinx-build -D today="$(BUILD_DATE)" -b man -N docs/source docs/build/man

## powerline 2.7

=== debian/changelog ===
powerline (2.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuid for stretch-backports

 -- Jerome Charaoui <jerome@riseup.net>  Thu, 03 Jan 2019 14:18:09 -0500

powerline (2.7-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Switching debconf option to enable bash from a boolean to a multiselect in
    order to allow other programs to be enabled too in the future.
  * Updating to standards version 4.3.0, no other changes required.

  [ Jerome Charaoui ]
  * New upstream version 2.7
  * Add fr debconf translation, thanks Jean-Pierre Giraud (Closes: #906095)
  * Add nl debconf translation, thanks Frans Spiesschaert (Closes: #906943)
  * Add pt debconf translation, thanks Rui Branco (Closes: #907903)

 -- Jerome Charaoui <jerome@riseup.net>  Wed, 02 Jan 2019 12:11:35 -0500

powerline (2.6-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Install manapages into the powerline package only (Closes: #899135)
  * Automatically update fontconfig cache using dpkg trigger (Closes: #899142)
  * Update vim instructions in README.Debian (Closes: #899150)
  * Add debconf support to enable powerline for all users (Closes: #899184)
  * Set default shell theme to default_leftonly (Closes: #899153)
  * Switch to use python3 by default (Closes: #899165)
  * Include /etc/powerline as configuration directory (Closes: #899178)
  * Apply patch from Andreas Schneider to fix build with GCC-7 (Closes: #900331)
  * Rename python-powerline-doc to powerline-doc for consistency
  * Apply various updates and fixes to control, watch and copyright files
  * Update packaging to debhelper version 11
  * Update packaging to standards version 4.1.4

  [ Jerome Charaoui ]
  * Fix privacy breaches in documentation
  * Update NEWS file

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 01 Jun 2018 15:32:49 -0400

=== debian/control ===
Source: powerline
Section: shells
Priority: optional
Maintainer: Jerome Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all (>= 2.7),
 python-psutil,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-psutil,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/powerline/powerline
Vcs-Browser: https://salsa.debian.org/lavamind/powerline
Vcs-Git: https://salsa.debian.org/lavamind/powerline.git

Package: fonts-powerline
Section: fonts
Architecture: all
Multi-arch: foreign
Depends:
 fontconfig,
 ${misc:Depends},
Description: prompt and statusline utility (symbols font)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the font which provides symbols used by Powerline. It
 also contains the fontconfig settings that makes these symbols available as
 part of other installed fonts.

Package: powerline
Architecture: any
Depends:
 python3-powerline,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 fonts-powerline,
Suggests:
 powerline-doc,
 vim-addon-manager,
Enhances:
 awesome,
 bash,
 ipython,
 tmux,
 vim-nox,
 zsh,
Description: prompt and statusline utility
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.

Package: powerline-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-powerline-doc (<< 2.6-2~),
Replaces:
 python-powerline-doc (<< 2.6-2~),
Description: prompt and statusline utility (documentation)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the HTML documentation, incorporates instructions on how
 to customize Powerline for various applications.

Package: python-powerline
Section: python
Architecture: all
Depends:
 python-psutil,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 powerline-doc,
Description: prompt and statusline utility (Python 2.x module)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the Powerline module for Python 2.x.

Package: python-powerline-doc
Section: oldlibs
Architecture: all
Depends:
 powerline-doc,
 ${misc:Depends},
Description: prompt and statusline utility (transitional package)
 This is a transitional package, it can be safely removed.

Package: python3-powerline
Section: python
Architecture: all
Depends:
 python3-psutil,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 powerline-doc,
Description: prompt and statusline utility (Python 3.x module)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the Powerline module for Python 3.x.

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 override_dh_auto_test:
 	# Tests systematically fail for unknown reasons, hence are disabled
 	# temporarily while the situation is investigated.
-	# See https://github.com/Lokaltog/powerline/issues/1104
+	# See https://github.com/powerline/powerline/issues/1104
 	#dh_auto_test -- --system=custom --test-args='env PYTHON={interpreter} PYTHONPATH={build_dir} {dir}/tests/test.sh'
 
 # Build sphinx HTML documentation
 override_dh_installdocs:
 	PYTHONPATH=. sphinx-build -b html -N docs/source docs/build/html
-	dh_installdocs -ppython-powerline-doc docs/build/html
+	dh_installdocs -ppowerline-doc docs/build/html
 	dh_installdocs -A
 
 override_dh_installchangelogs:
@@ -37,7 +37,7 @@
 override_dh_installman:
 	PYTHONPATH=. sphinx-build -D today="$(BUILD_DATE)" -b man -N docs/source docs/build/man
 	ln -s powerline.1 docs/build/man/powerline-render.1
-	dh_installman docs/build/man/*
+	dh_installman -p powerline docs/build/man/*
 
 # Remove scripts and bindings from library packages
 override_dh_install:

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/powerline-$1.tar.gz/"
  https://github.com/powerline/powerline/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## powerline 2.8.1

=== debian/changelog ===
powerline (2.8.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 15 Jul 2020 20:53:05 +0100

powerline (2.8.1-3) unstable; urgency=medium

  * d/control: Fix Vcs-* fields

 -- Samuel Henrique <samueloph@debian.org>  Sat, 11 Jul 2020 11:39:54 +0100

powerline (2.8.1-2) unstable; urgency=medium

  * The previous changelog entry said it updated the ru translation but
    the change was not there (and it closed the wrong bug), this is the
    correct entry.
  * d/po/ru.po: Update Russian translation, thanks to
    Lev Lamberov <dogsleg@debian.org> (closes: #951434)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 11 Jul 2020 00:28:00 +0100

powerline (2.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Jerome Charaoui ]
  * Add ru translation (closes: #910849)

  [ Samuel Henrique ]
  * New upstream version 2.8.1 (closes: #964598)
    - Added ipython >= 7.0.0 support (closes: #953973)
    - d/changelog.upstream: Update upstream changelog for 2.8.1
  * Bump DH to 13
  * Bump Standards-Version to 4.5.0
  * Add debian/gbp.conf
  * Don't override dh_auto_test and add test build-dep python3-pexpect
  * d/control: Switch maintenance to PAPT team and add myself as an uploader
  * d/control: s/Multi-arch/Multi-Arch/
  * d/rules: Remove unused includes

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Jul 2020 21:22:53 +0100

powerline (2.7-3) unstable; urgency=medium

  * Drop Python2, package is Python3-ready (Closes: #937313)
  * Updating to standards version 4.4.0, no other changes required.
  * Drop python-powerline-doc transitional package

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 14 Sep 2019 11:47:28 -0400

powerline (2.7-2) unstable; urgency=medium

  * Adjust debian/watch
  * Update nl translation, fixes #920429
  * Add ru translation, fixes #910849
  * Add pt_BR translation, fixes #920539

 -- Jerome Charaoui <jerome@riseup.net>  Sun, 27 Jan 2019 14:23:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: powerline
 Section: shells
 Priority: optional
-Maintainer: Jerome Charaoui <jerome@riseup.net>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Jerome Charaoui <jerome@riseup.net>,
+           Samuel Henrique <samueloph@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
- python-all (>= 2.7),
- python-psutil,
- python-setuptools,
- python-sphinx,
  python3-all,
  python3-psutil,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-pexpect,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/powerline/powerline
-Vcs-Browser: https://salsa.debian.org/lavamind/powerline
-Vcs-Git: https://salsa.debian.org/lavamind/powerline.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/powerline
+Vcs-Git: https://salsa.debian.org/python-team/applications/powerline.git
 
 Package: fonts-powerline
 Section: fonts
 Architecture: all
-Multi-arch: foreign
+Multi-Arch: foreign
 Depends:
  fontconfig,
  ${misc:Depends},
@@ -78,31 +77,6 @@
  This package contains the HTML documentation, incorporates instructions on how
  to customize Powerline for various applications.
 
-Package: python-powerline
-Section: python
-Architecture: all
-Depends:
- python-psutil,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- powerline-doc,
-Description: prompt and statusline utility (Python 2.x module)
- Powerline is a statusline plugin for vim, and provides statuslines and prompts
- for several other applications, including zsh, bash, tmux, IPython, Awesome and
- Qtile.
- .
- This package contains the Powerline module for Python 2.x.
-
-Package: python-powerline-doc
-Section: oldlibs
-Architecture: all
-Depends:
- powerline-doc,
- ${misc:Depends},
-Description: prompt and statusline utility (transitional package)
- This is a transitional package, it can be safely removed.
-
 Package: python3-powerline
 Section: python
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,27 +2,15 @@
 
 export PYBUILD_NAME=powerline
 
-include /usr/share/dpkg/default.mk
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/pkg-info.mk
 
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 update-changelog:
 	curl -s "https://api.github.com/repos/powerline/powerline/releases" | jq -r '.[] | .tag_name, .body' - > debian/changelog.upstream
-
-# Use the builtin test script
-override_dh_auto_test:
-	# Tests systematically fail for unknown reasons, hence are disabled
-	# temporarily while the situation is investigated.
-	# See https://github.com/powerline/powerline/issues/1104
-	#dh_auto_test -- --system=custom --test-args='env PYTHON={interpreter} PYTHONPATH={build_dir} {dir}/tests/test.sh'
 
 # Build sphinx HTML documentation
 override_dh_installdocs:

## powerline 2.8.2

=== debian/changelog ===
powerline (2.8.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 08 Oct 2021 16:10:44 -0400

powerline (2.8.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 12:07:16 +0100

powerline (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2

 -- Samuel Henrique <samueloph@debian.org>  Mon, 08 Mar 2021 22:13:09 +0000

powerline (2.8.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1
  * d/control: Add python3-i3ipc to Suggests and i3 to Enhances
    (closes: #976790)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Dec 2020 19:08:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powerline
 Section: shells
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jerome Charaoui <jerome@riseup.net>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends:
@@ -14,10 +15,10 @@
  python3-sphinx-rtd-theme,
  python3-pexpect,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/powerline/powerline
-Vcs-Browser: https://salsa.debian.org/python-team/applications/powerline
-Vcs-Git: https://salsa.debian.org/python-team/applications/powerline.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/powerline
+Vcs-Git: https://salsa.debian.org/python-team/packages/powerline.git
 
 Package: fonts-powerline
 Section: fonts
@@ -46,10 +47,12 @@
  fonts-powerline,
 Suggests:
  powerline-doc,
+ python3-i3ipc,
  vim-addon-manager,
 Enhances:
  awesome,
  bash,
+ i3,
  ipython,
  tmux,
  vim-nox,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 update-changelog:
 	curl -s "https://api.github.com/repos/powerline/powerline/releases" | jq -r '.[] | .tag_name, .body' - > debian/changelog.upstream

## powerline 2.8.3

=== debian/changelog ===
powerline (2.8.3-5) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Team upload.
  * Patch for fixing ModuleNotFoundError'imp' with
    Python 3.12. (Closes: #1058256)
  * Bumped Standards-Version to 4.6.2 in d/control.

  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 03 Feb 2024 23:30:00 +0000

powerline (2.8.3-4) unstable; urgency=medium

  * Team upload.
  * Add debconf translators to d/copyright
  * Update debconf template translation
    - Spanish translation.
      Thanks to Camaleón (Closes: #987389)
    - Italian translation.
      Thanks to Ceppo (Closes: #1024696)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 17 Feb 2023 21:01:56 +0100

powerline (2.8.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + powerline-doc: Add Multi-Arch: foreign.

  [ Samuel Henrique ]
  * d/p/0007-python-311-support.patch: New upstream patch for python 3.11
    support (closes: #1028844)

 -- Samuel Henrique <samueloph@debian.org>  Sun, 15 Jan 2023 23:19:25 +0000

powerline (2.8.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:23:39 +0100

powerline (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3
  * Bump Standards-Version to 4.6.0
  * Update copy of upstream's changelog

 -- Samuel Henrique <samueloph@debian.org>  Sun, 22 May 2022 19:41:03 +0100

=== debian/control ===
Source: powerline
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jerome Charaoui <jerome@riseup.net>,
           Samuel Henrique <samueloph@debian.org>
Section: shells
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-psutil,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pexpect
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/powerline
Vcs-Git: https://salsa.debian.org/python-team/packages/powerline.git
Homepage: https://github.com/powerline/powerline
Rules-Requires-Root: no

Package: fonts-powerline
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends: fontconfig,
         ${misc:Depends}
Description: prompt and statusline utility (symbols font)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the font which provides symbols used by Powerline. It
 also contains the fontconfig settings that makes these symbols available as
 part of other installed fonts.

Package: powerline
Architecture: any
Depends: python3-powerline,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: fonts-powerline
Suggests: powerline-doc,
          python3-i3ipc,
          vim-addon-manager
Enhances: awesome,
          i3,
          tmux,
          vim-nox,
          zsh
Description: prompt and statusline utility
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.

Package: powerline-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: prompt and statusline utility (documentation)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the HTML documentation, incorporates instructions on how
 to customize Powerline for various applications.

Package: python3-powerline
Architecture: all
Section: python
Depends: python3-psutil,
         ${misc:Depends},
         ${python3:Depends}
Suggests: powerline-doc
Description: prompt and statusline utility (Python 3.x module)
 Powerline is a statusline plugin for vim, and provides statuslines and prompts
 for several other applications, including zsh, bash, tmux, IPython, Awesome and
 Qtile.
 .
 This package contains the Powerline module for Python 3.x.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 update-changelog:
 	curl -s "https://api.github.com/repos/powerline/powerline/releases" | jq -r '.[] | .tag_name, .body' - > debian/changelog.upstream

## powerline 2.8.4

=== debian/changelog ===
powerline (2.8.4-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * Team upload.
  * New upstream version 2.8.4
  * d/rules: disable dh_auto_test again (Closes: #1080122)
  * drop patches merged upstream

 -- Daniel Baumann <daniel@debian.org>  Wed, 22 Jan 2025 21:59:35 +0100

powerline (2.8.3-6) unstable; urgency=medium

  * Team upload.
  * debian/control: bump Standards-Version to 4.7.0 - no changes needed.
  * debian/patches/:
      - 0006-privacy-breach-fixes.patch: update patch header.
      - 0008-replace-imp-with-type-py312.patch: update patch header.
      - 0009-fix_invalid_escape_sequence_warning.patch: import from upstream.
        Thanks to Brett Holman. (Closes: #1064848)
  * debian/po/sv.po: add Swedish translation. (Closes: #1072749)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Thu, 11 Jul 2024 23:42:53 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-pexpect
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/powerline
 Vcs-Git: https://salsa.debian.org/python-team/packages/powerline.git
 Homepage: https://github.com/powerline/powerline

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,13 @@
 
 update-changelog:
 	curl -s "https://api.github.com/repos/powerline/powerline/releases" | jq -r '.[] | .tag_name, .body' - > debian/changelog.upstream
+
+override_dh_auto_test:
+	# The powerline test suite depends on a number of custom, external
+	# dependencies and complex setup that assumes network connectivity,
+	# as such it's not feasible to run this test suite in Debian.
+	# see: tests/install.sh
+	#dh_auto_test -- --system=custom --test-args='env PYTHON={interpreter} PYTHONPATH={build_dir} {dir}/tests/test.sh'
 
 # Build sphinx HTML documentation
 override_dh_installdocs:
